summaryrefslogtreecommitdiffstats
path: root/test/afb-test/fixtures/testPresence.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/afb-test/fixtures/testPresence.sh')
-rwxr-xr-xtest/afb-test/fixtures/testPresence.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/test/afb-test/fixtures/testPresence.sh b/test/afb-test/fixtures/testPresence.sh
new file mode 100755
index 0000000..2e82422
--- /dev/null
+++ b/test/afb-test/fixtures/testPresence.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+set -e
+
+###########################################################################
+# Copyright 2019 IoT.bzh
+#
+# author:Frédéric Marec <frederic.marec@iot.bzh>
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+###########################################################################
+
+if [ ! -d "/etc/platform-info" ]
+then
+ echo "missing directory /etc/platform-info"
+ exit 0
+else
+ if [ ! -f "/etc/platform-info/build.json" ] && [ ! -f "/etc/platform-info/hardware.json" ]
+ then
+ echo "missing tests files for testing"
+ exit 0
+ else
+ exit 1
+ fi
+fi \ No newline at end of file